<?php
	
	//---------------------------------------------------------------------------------------------------------
	// 06/Abril/2019
	// Versión 1.0 Mostramos un formulario con la dirección de envío seleccionada
	//---------------------------------------------------------------------------------------------------------
	//if (is_a($direccion_envio'
	$direccion_envio = Theme::getLastParam(1);
	$usuario = Usuario::logueado();
	?>

<div class="box">
	<div class="direccion_seleccionada  col-xs-12 col-lg-8">
	<?php Theme::include_file('direccion_envio_mostrar_direccion.php', $direccion_envio); ?>
	</div>
	<div class="botones_direccion col-xs-12 col-lg-4">
	 	<button type="button" class="boton" onclick="
	 		var data = {'editando' : true};
			WS_data_update(
	    	'CabeceraCesta',
	    	'setEditando',
	    	data,
	    	'*=\'bloque_tipo_envio\'|*=\'bloque_direccion_envio\'',
	    	function(objeto){

	    	}
			);">
			<span><?=traducir('Modificar');?></span>
		</button>

		<?php
		if ($usuario->codigo != ''){
		?>
			<button type="button" class="boton" onclick="
	 		var data = {'creando' : true};
			WS_data_update(
	    	'CabeceraCesta',
	    	'setCreando',
	    	data,
	    	'*=\'bloque_direccion_envio\'|*=\'bloque_tipo_envio\'',
	    	function(objeto){

	    	}
			);">
				<span><?=traducir('Añadir otra dirección');?></span>
			</button>
			</div>
		<?php
			if (count($usuario->direcciones) > 1){
			?>
				<div class="otra_direccion col-xs-12">
					<button type="button" class="boton_seleccion_direccion" data-toggle="collapse" data-target="#lista_direcciones">
						<span><?=traducir('Seleccionar otra dirección');?><i class="mdi mdi-arrow-down-drop-circle-outline"></i></span>
					</button>
				</div>
				<div id="lista_direcciones" class="lista_direcciones col-xs-12 collapse">
			<?php
				foreach($usuario->direcciones as $key => $direccion){
					?>
					<button type="button" class="elegir_direccion" onclick="
						WS_data_update(
						'CabeceraCesta',
						'setShippingDestination',
						{'codigo' : '<?=$direccion->codigo;?>'},
						'*=\'bloque_direccion_envio\'|*=\'bloque_tipo_envio\'|*=\'bloque_total_cesta\'',
						function(objeto){
							
						}
					);"  data-toggle="collapse" data-target="#lista_direcciones">
					<?php
					Theme::include_file('direccion_envio_mostrar_direccion.php', $direccion);
					?>
					</button>
					<?php
					ob_start();
					?>
					WS_data_update(
						'Direcciones',
						'remove',
						{'codigo' : '<?=$direccion->codigo;?>'},
						'*=\'bloque_direccion_envio\'|*=\'bloque_tipo_envio\'|*=\'bloque_total_cesta\'',
						function(objeto){
							
						}
					);
					<?php
					$script_onclick = ob_get_clean();
					$script_onclick = WSMinificator::simpleClean($script_onclick);
					?>
					<button type="button" class="borrar_direccion" onclick="<?=$script_onclick;?>"  data-toggle="" data-target="#lista_direcciones"><span class="icono_eliminar"><i class="mdi mdi-delete"></i></span>
					</button>
					<?php
				}
				?>
				</div>
				<?php
			}
		}else{
			?>
			</div>
			<?php
		}
		?>
</div>
